Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007777 [DCSS] Bug Report minor always 2013-11-23 04:16 2015-04-11 07:27
Reporter gammafunk View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0007777: When the player is confused and uses a non-wand targeted evocable, confusion fuzzing doesn't occur.
Description I watched dck play a MuCK, and when xom confused him he was able to aim a phial of floods at monster, and the targeting wasn't affected by confuse. Looks like this is a problem with every targeted evocable that's not a wand.

Additional Information
Tags No tags attached.
Attached Files ? file icon evoke_confuse_g9530a8b1e.patch [^] (2,653 bytes) 2013-11-23 05:58 [Show Content]

- Relationships
has duplicate 0007390resolvedMarvinPA Player can choose right destination of evocation while he is confused. 

-  Notes
(0024469)
dck (reporter)
2013-11-23 04:17

Hey.
Hey gfunk.
Screw you man.
:(
(0024470)
gammafunk (administrator)
2013-11-23 06:08

Patch uploaded to fix this based on some discussion in crawl-dev.
(0024471)
gammafunk (administrator)
2013-11-23 06:08

And dck is kidding, he actually loves this change in every way.
(0024482)
MarvinPA (developer)
2013-11-24 13:07

Pushed, thanks for the patch.

- Issue History
Date Modified Username Field Change
2013-11-23 04:16 gammafunk New Issue
2013-11-23 04:17 dck Note Added: 0024469
2013-11-23 05:58 gammafunk File Added: evoke_confuse_g9530a8b1e.patch
2013-11-23 06:08 gammafunk Note Added: 0024470
2013-11-23 06:08 gammafunk Note Added: 0024471
2013-11-24 12:32 MarvinPA Relationship added has duplicate 0007390
2013-11-24 13:07 MarvinPA Note Added: 0024482
2013-11-24 13:07 MarvinPA Status new => resolved
2013-11-24 13:07 MarvinPA Fixed in Branch => 0.14 development branch
2013-11-24 13:07 MarvinPA Resolution open => done
2013-11-24 13:07 MarvinPA Assigned To => MarvinPA
2015-04-11 07:27 gammafunk Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker